Opened 4 years ago

Closed 4 months ago

#59840 closed update (worksforme)

valgrind: update to 3.15.0

Reported by: casouri (Yuan Fu) Owned by: raimue (Rainer Müller)
Priority: Normal Milestone:
Component: ports Version: 2.6.2
Keywords: Cc:
Port: valgrind

Description

I'm on Catalina, and installing valgrind gives the following error:

$ sudo port install valgrind
--->  Computing dependencies for valgrind
--->  Fetching archive for valgrind
--->  Attempting to fetch valgrind-3.14.0_0.darwin_19.x86_64.tbz2 from https://packages.macports.org/valgrind
--->  Attempting to fetch valgrind-3.14.0_0.darwin_19.x86_64.tbz2 from http://ywg.ca.packages.macports.org/mirror/macports/packages/valgrind
--->  Attempting to fetch valgrind-3.14.0_0.darwin_19.x86_64.tbz2 from http://aus.us.packages.macports.org/macports/packages/valgrind
--->  Fetching distfiles for valgrind
Error: valgrind @3.14.0 is only compatible with macOS versions from 10.5 up to 10.13.
Error: Failed to fetch valgrind: incompatible macOS version
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_devel_valgrind/valgrind/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port valgrind failed

The current release version of Valgrind is 3.15.0 according to the home page.

Change History (2)

comment:1 Changed 4 years ago by jmroot (Joshua Root)

Owner: set to raimue
Status: newassigned

comment:2 Changed 4 months ago by raimue (Rainer Müller)

Resolution: worksforme
Status: assignedclosed
Summary: valgrind needs updatevalgrind: update to 3.15.0

valgrind is at 3.16.1, so I assume we can close this request.

Note: See TracTickets for help on using tickets.